Get a mock server's call logs

View as Markdown
Gets a mock server's call logs. You can get a maximum of 6.5MB of call logs or a total of 100 call logs, whichever limit is met first in one API call. Call logs contain exchanged request and response data made to mock servers. The logs provide visibility into how the mock servers are being used. You can log data to debug, test, analyze, and more, depending upon the use case. **Note:** Call logs have a retention period based on your [Postman plan](https://www.postman.com/pricing/#mock-calls). For more information, see [this article](https://support.postman.com/hc/en-us/articles/21219973964951-I-can-t-see-my-mock-server-logs-history) in the [Postman Support Center](https://support.postman.com/).

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

mockIdstringRequired
The mock's ID.

Query parameters

limitdoubleOptionalDefaults to 100
The maximum number of rows to return in the response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

untildatetimeOptional
Return only results created until this given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be earlier than the `since` value.
sincedatetimeOptional
Return only results created since the given time, in [ISO 8601](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) format. This value cannot be later than the `until` value.
responseStatusCodedoubleOptional
Return only call logs that match the given HTTP response status code.
responseTypestringOptional

Return only call logs that match the given response type. Matching is not case-sensitive.

requestMethodstringOptional

Return only call logs that match the given HTTP method. Matching is not case-sensitive.

requestPathstringOptional

Return only call logs that match the given request path. Matching is not case-sensitive.

sortenumOptional

Sort the results by the given value. If you use this query parameter, you must also use the direction parameter.

Allowed values:
directionenumOptional

Sort in ascending (asc) or descending (desc) order. Matching is not case-sensitive. If you use this query parameter, you must also use the sort parameter.

Allowed values:
includestringOptional

Include call log records with header and body data. This query parameter accepts the request.headers, request.body, response.headers, and response.body values. For multiple include types, comma-separate each value.

Response

Successful Response
call-logslist of objects
A list of call logs.
metaobject

The response’s non-standard meta information.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error